Flecs: ecs_meta_type_op_t Struct Reference
Description: A fast entity component system (ECS) for C & C++

| Flecs v4.0 A fast entity component system (ECS) for C & C++

Loading...
Searching...
No Matches
Public Attributes | List of all members
ecs_meta_type_op_t Struct Reference
C API » Addons » Meta

Meta type serializer instruction data. More...

`#include <meta.h>`

## Public Attributes
ecs_meta_type_op_kind_t | kind
| Instruction opcode.
ecs_size_t | offset
| Offset of current field.
int32_t | count
| Number of elements (for inline arrays).
const char * | name
| Name of value (only used for struct members)
int32_t | op_count
| Number of operations until next field or end.
ecs_size_t | size
| Size of type of operation.
ecs_entity_t | type
| Type entity.
int32_t | member_index
| Index of member in struct.
ecs_hashmap_t * | members
| string -> member index (structs only)

## Detailed Description

Meta type serializer instruction data.

Definition at line 544 of file meta.h.

## Member Data Documentation

## ◆ count

int32_t ecs_meta_type_op_t::count

Number of elements (for inline arrays).

Definition at line 547 of file meta.h.

## ◆ kind

ecs_meta_type_op_kind_t ecs_meta_type_op_t::kind

Instruction opcode.

Definition at line 545 of file meta.h.

## ◆ member_index

int32_t ecs_meta_type_op_t::member_index

Index of member in struct.

Definition at line 552 of file meta.h.

## ◆ members

ecs_hashmap_t* ecs_meta_type_op_t::members

string -> member index (structs only)

Definition at line 553 of file meta.h.

## ◆ name

const char* ecs_meta_type_op_t::name

Name of value (only used for struct members)

Definition at line 548 of file meta.h.

## ◆ offset

ecs_size_t ecs_meta_type_op_t::offset

Offset of current field.

Definition at line 546 of file meta.h.

## ◆ op_count

int32_t ecs_meta_type_op_t::op_count

Number of operations until next field or end.

Definition at line 549 of file meta.h.

## ◆ size

ecs_size_t ecs_meta_type_op_t::size

Size of type of operation.

Definition at line 550 of file meta.h.

## ◆ type

ecs_entity_t ecs_meta_type_op_t::type

Type entity.

Definition at line 551 of file meta.h.

The documentation for this struct was generated from the following file:

- include/flecs/addons/meta.h